package main

import (
	"log"

	"github.com/spf13/viper"
)

func readConfig() {
	viper.SetConfigName("openpdu.yaml") // name of config file (without extension)
	viper.SetConfigType("yaml")
	viper.AddConfigPath("/etc/openpdu/") // path to look for the config file in
	viper.AddConfigPath(".")             // optionally look for config in the working directory
	err := viper.ReadInConfig()          // Find and read the config file
	if err != nil {                      // Handle errors reading the config file
		log.Printf("Fatal error config file: %s \n", err)
	}

	viper.SetDefault("hostname", "openpdu")
}
